## gnome-sharp2 2.24.1-6maemo1

=== debian/changelog ===
gnome-sharp2 (2.24.1-6maemo1) fremantle; urgency=low

  * Initial release for Maemo 5. Hacked library dependencies. Hardcoded
    Mono.GetOptions.dll to be disabled.

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 16:05:35 +0400

gnome-sharp2 (2.24.1-6) unstable; urgency=low

  * debian/control:
    + Add explicit Depends lines to libgnome2.0-cil-dev pointing to -dev
      packages which gnome-sharp-2.0.pc has Requires: lines for

 -- Jo Shields <directhex@apebox.org>  Thu, 07 Jan 2010 09:41:43 +0000

gnome-sharp2 (2.24.1-5) unstable; urgency=low

  [ Jo Shields ]
  * debian/control:
    + Bump to Standards 3.8.3
    + Switch mono-devel and *-cil build-dependencies for mono -dev transition
    + Add missing build-depend on libglib2.0-cil-dev
  * debian/control,
    debian/lib*.install:
    + Create unversioned -dev packages containing pkg-config files, GAPI
      files, and generic tools in some cases
  * debian/rules,
    debian/libgnome-cil-dev.install:
    + Don't rename pcfile. Leave it as-is, as the "unversioned" name for
      the gnome-sharp-2.0 package. Yes yes, I know, it'd be nice if upstream
      could be consistent over ABI versions, but there you go.
  * debian/rules:
    + Use mono-csc as compiler command

  [ Mirco Bauer ]
  * debian/lib*-cil-dev.install
    debian/control:
    + Renamed the -cil-dev packages so they contain the API version, as the
      pkg-config files are versioned too.
      (no Replaces/Conflicts added as -2 never hit the archive!)
  * debian/control:
    + Let gnome-sharp2 meta package depend on the same source version for
      simple and reliable upgrades.

  [ Christopher James Halse Rogers ]
  * debian/ltmain-add-as-needed.patch:
    + Add --as-needed magic to ltmain.sh
  * debian/rules:
    + Apply ltmain-add-as-needed.patch after running autoreconf.  This should
      be more robust than copying a patched ltmain.sh from debian/ as ltmain.sh
      is required to be versioned in lock-step with the rest of libtool.      
  * debian/README.source:
    + Add dpatch README.source; we might as well comply with policy here.
      One less lintian warning!

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Jan 2010 17:01:14 +1100

gnome-sharp2 (2.24.1-4) unstable; urgency=low

  [ Iain Lane ]
  * debian/libgnome2.24-cil.install,
    debian/libgnome2.24-cil.installcligac,
    debian/patches/02_fix_pkg-config_paths.dpatch:
    + Install gconf-sharp-peditors to /usr/lib/cli/gconf-sharp-peditors-2.24
      per policy. Fix broken pc file too.

  [ Mirco Bauer ]
  * debian/*.install
    debian/*.installcligac:
    + Switched to /usr/lib/cli/$ASSEMBLY-$ABI/ directory layout, to make the
      ABI versioning of the assemblies more clear.
  * debian/rules:
    + Replaced full re-autogen with autoreconf, that should be more than
      enough.
    + Put patched ltmain.sh in place for --as-needed magic.
    + Don't build binary-indep packages if the binary-arch target was
      called. (Closes: #521399)

 -- Mirco Bauer <meebey@debian.org>  Sun, 19 Apr 2009 16:57:00 +0200

gnome-sharp2 (2.24.1-3) unstable; urgency=low

  * debian/rules:
    + Only call dh_makeclilibs on arch:all packages in binary-indep target 
      and on arch:any packages in binary-arch target.
    + Added hack that makes sure the clilibs of the arch:all packages are
      always generated as the arch:any packages rely on that for
      inner-dependencies between the packages. This caused missing binary
      dependencies on non-i386 (my arch) because I built binary-indep and
      binary-arch unlike the buildds. (Closes: #520966)

 -- Mirco Bauer <meebey@debian.org>  Wed, 25 Mar 2009 01:01:43 +0100

gnome-sharp2 (2.24.1-2) unstable; urgency=low

  * Upload to unstable
  * debian/*.install
    debian/*.installcligac:
    + Use late-GAC install now for all libraries as per Debian CLI Policy and
      with that the new locations (/usr/lib/cli instead of /usr/lib/mono).
      This allows us to install multiple versions of a library at the same
      time when an ABI bump was done, which happened with libgnome2.0-cil ->
      libgnome2.24-cil. This also makes a very smooth transition possible.
  * debian/control:
    + Use multiple lines for build-deps.
    + Removed conflicts libgnome2.0-cil from libgnome2.24-cil as they have
      different assembly versions and are parallel installable now.
    + Bumped Standards-Version to 3.8.1 (no changes needed)
    + Bumped debhelper build-dep to >= 7.
    + Added libtool, autoconf, and automake to build-deps.
  * debian/compat:
    + Bumped to 7
  * debian/patches/00list:
    + Disabled 99_ltmain_as-needed as it has no influence to the binary deps
      and caused issues withthe re-autogen in debian/rules.
  * debian/MAINTAINERS:
    + Removed (thats what control is for)

 -- Mirco Bauer <meebey@debian.org>  Sat, 21 Mar 2009 15:08:16 +0100

gnome-sharp2 (2.24.1-1) experimental; urgency=low

  * New upstream release:
    + debian/control,
      debian/*.install:
      - All libraries except gnome-sharp were versioned back to
        2.0 as upstream added policy assemblies again for the older
        versions and their API didn't really change. gnome-sharp
        is still in libgnome2.24-cil and has no policy assemblies
        as the API has changed.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 15:01:46 +0100

gnome-sharp2 (2.24.0-3) experimental; urgency=low

  * debian/control:
    + Let the gnome-sharp2 metapackage depend on the new package versions.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Jan 2009 21:43:02 +0100

gnome-sharp2 (2.24.0-2) experimental; urgency=low

  [ Steve Langasek ]
  * debian/rules: pass CSC=/usr/bin/csc to configure, for the mono 2.0
    transition.
  * debian/control: update the build-dependencies for mono 2.0.
  * debian/control: add conflicts/replaces on the old package names, since
    there are file overlaps between them.

  [ Sebastian Dröge ]
  * Upload to experimental.


