=== debian/control ===
Source: gnome-sharp2
Section: libs
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 7),
 cli-common-dev (>= 0.4.6),
 dpatch,
 libtool,
 autoconf,
 automake,
 mono-devel (>= 2.4.3),
 libmono-2.0-dev (>= 1.0),
 pkg-config,
 libgtk2.0-dev (>= 2.13.0),
 libglib2.0-dev (>= 2.12.0),
 libgtk2.0-cil-dev (>= 2.12.2),
 libglib2.0-cil-dev (>= 2.12.2),
 libglade2.0-cil-dev (>= 2.12.2),
 gtk-sharp2-gapi (>= 2.12.6),
 libosso-gnomevfs2-dev,
 libgnomeui-dev,
 libgnomecanvas2-dev,
 libart-2.0-dev, mono-scratchbox
Standards-Version: 3.8.3
Homepage: http://www.mono-project.com/GtkSharp
Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gnome-sharp2/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-libs/packages/gnome-sharp2/trunk/

Package: gnome-sharp2
Architecture: all
Depends: gnome-sharp2-examples (= ${source:Version}),
 libart2.0-cil-dev (= ${source:Version}),
 libgconf2.0-cil-dev (= ${source:Version}),
 libgnome2.0-cil-dev (= ${source:Version}),
 libgnome-vfs2.0-cil-dev (= ${source:Version})
Description: GNOME# 2.24 suite, CLI bindings for GNOME
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform
 libraries.
 .
 gnome-sharp2 is a metapackage containing dependencies for the GNOME# 2.24
 suite.

Package: libart2.0-cil
Architecture: all
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Conflicts: libart2.24-cil
Replaces: gtk-sharp2-gapi (<< 2.10.0-1), libgnome2.0-cil (<< 2.16.0-4), libart2.24-cil
Description: CLI binding for libart 2.3
 This package provides the art-sharp assembly that allows CLI (.NET) programs
 to use the libart library 2.3.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains the art-sharp assembly itself.

Package: libart2.0-cil-dev
Architecture: all
Depends: libart2.0-cil (= ${binary:Version}), ${misc:Depends}
Replaces: libart2.24-cil, libart2.0-cil (<< 2.24.1-5)
Description: CLI binding for libart 2.3
 This package provides the art-sharp assembly that allows CLI (.NET) programs
 to use the libart library 2.3.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains development files for the art-sharp library, and should
 be used for compilation

Package: libgconf2.0-cil
Architecture: all
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Conflicts: libgconf2.24-cil
Replaces: libgnome2.0-cil (<< 2.16.0-6), libgconf2.24-cil
Description: CLI binding for GConf 2.24
 This package provides the gconf-sharp and gconf-sharp-peditors assemblies that
 allow CLI (.NET) programs to use the GConf configuration storage system 2.20.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries.
 .
 This package contains the gconf-sharp assembly itself.

Package: libgconf2.0-cil-dev
Architecture: all
Depends: libgconf2.0-cil, ${misc:Depends}, ${cli:Depends}
Replaces: libgconf2.24-cil, libgconf2.0-cil (<< 2.24.1-5)
Description: CLI binding for GConf 2.24
 This package provides the gconf-sharp and gconf-sharp-peditors assemblies that
 allow CLI (.NET) programs to use the GConf configuration storage system 2.20.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries.
 .
 This package contains development files for the gconf-sharp library, and 
 should  be used for compilation

Package: libgnome2.24-cil
Architecture: any
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-1), libgconf2.0-cil (<< 2.16.1), libgnome2.0-cil
Description: CLI binding for GNOME 2.24
 This package provides the gnome-sharp assembly that allows CLI (.NET) programs
 to use the GNOME and GNOME UI libraries 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries
 .
 This package contains the gnome-sharp assembly itself..

Package: libgnome2.0-cil-dev
Architecture: any
Depends: libgnome2.24-cil (= ${binary:Version}), libgtk2.0-cil-dev, libart2.0-cil-dev (= ${binary:Version}), libgnome-vfs2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
Replaces: libgnome2.0-cil, libgnome2.24-cil (<< 2.24.1-5)
Description: CLI binding for GNOME 2.24
 This package provides the gnome-sharp assembly that allows CLI (.NET) programs
 to use the GNOME and GNOME UI libraries 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.24 platform 
 libraries.
 .
 This package contains development files for the gnome-sharp library, and
 should be used for compilation.

Package: libgnome-vfs2.0-cil
Architecture: all
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Conflicts: libgnome-vfs2.24-cil
Replaces: gtk-sharp2-gapi (<< 2.10.0-1), libgnome2.0-cil (<< 2.16.0-4), libgnome-vfs2.24-cil
Description: CLI binding for GnomeVFS 2.24
 This package provides the gnome-vfs-sharp assembly that allows CLI (.NET)
 programs to use the GnomeVFS library 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains the gnome-vfs-sharp assembly itself.

Package: libgnome-vfs2.0-cil-dev
Architecture: all
Depends: libgnome-vfs2.0-cil (= ${binary:Version}), ${misc:Depends}
Replaces: libgnome-vfs2.24-cil, libgnome-vfs2.0-cil (<< 2.24.1-5)
Description: CLI binding for GnomeVFS 2.24
 This package provides the gnome-vfs-sharp assembly that allows CLI (.NET)
 programs to use the GnomeVFS library 2.24.
 .
 GNOME# 2.24 is a CLI (.NET) language binding for the GNOME 2.20 platform 
 libraries.
 .
 This package contains development files for the gnome-vfs-sharp library,
 and should be used for compilation.
