## gnome-sharp2 2.24.1-6maemo2

=== debian/changelog ===
gnome-sharp2 (2.24.1-6maemo2) fremantle; urgency=low

  * dh_clideps is here again

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 19:59:14 +0400
