=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libosso-gnomevfs2-dev,
  libgnomeui-dev,
  libgnomecanvas2-dev,
- libart-2.0-dev, mono-scratchbox
+ libart-2.0-dev, mono-scratchbox, mono-gmcs
 Standards-Version: 3.8.3
 Homepage: http://www.mono-project.com/GtkSharp
 Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gnome-sharp2/trunk
