=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testdir
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
-		CSC=/usr/bin/mono-csc
+		CSC=/usr/bin/gmcs
 	touch $@
 
 build-indep: build-indep-stamp
@@ -75,7 +75,7 @@
 	# HACK: we must generate clilibs of arch:all and arch:any here!
 	# else dh_clideps can't catch up inner source package dependencies
 	dh_makeclilibs -m $(API_VERSION)
-#	dh_clideps -i -d
+	dh_clideps -i -d
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
@@ -100,7 +100,7 @@
 	# HACK: we must generate clilibs of arch:all and arch:any here!
 	# else dh_clideps can't catch up inner source package dependencies
 	dh_makeclilibs -m $(API_VERSION)
-#	dh_clideps -a -d
+	dh_clideps -a -d
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
