## gnome-sharp2 2.24.2

=== debian/changelog ===
gnome-sharp2 (2.24.2-4) unstable; urgency=medium

  * Rebuild for CLR 4.5 transition

 -- Jo Shields <directhex@apebox.org>  Tue, 17 Nov 2015 09:53:43 +0000

gnome-sharp2 (2.24.2-3) unstable; urgency=low

  * [b114ece] Cherry-pick patch to initialize dbus-glib for threading.
    Thanks to Mirco Bauer <meebey@meebey.net> (Closes: #700585)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Mar 2013 00:00:06 +0800

gnome-sharp2 (2.24.2-2) unstable; urgency=low

  * [e4737ab] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Tue, 24 Jan 2012 00:41:36 +0000

gnome-sharp2 (2.24.2-1) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Update section to cli-mono, per the archive overrides
  * [da573ba] Drop ltmain-add-as-needed patch; dh-autoreconf can do this now
  * [60fe3e1] Standards-Version → 3.9.2, no changes required

  [ Julian Taylor ]
  * new upstream release
  * [743f580] remove debian/list-examples
  * [7098d1d] Revert "move -dev packages to libdevel section"
    cli-mono has higher priority than libdevel
  * [991a0c9] remove libgnome2.24-cil.clilibs and set dependencies in control instead
  * [fe146eb] remove obsolete MONO_SHARED_DIR setting

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 05 Jun 2011 19:03:38 +0000
