=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

API_VERSION = 2.24.0

%:
	dh $@ --with autoreconf,cli

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- CSC=/usr/bin/mono-csc LDFLAGS="$(LDFLAGS)"

override_dh_makeclilibs:
	dh_makeclilibs -m $(API_VERSION)
