=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gnome-sharp/([\d\.]+)/gnome-sharp-([\d\.]+)\.tar\.gz debian uupdate
